Subject: [alpine-devel] [PATCH] testing/lua-zip: New aport

From: Mika Havela <[email-masked]>
Date: Wed, 12 Sep 2012 19:25:51 +0000

Lua extension library used to read files stored inside zip files
http://luaforge.net/projects/luazip/
---
 testing/lua-zip/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/lua-zip/APKBUILD

diff --git a/testing/lua-zip/APKBUILD b/testing/lua-zip/APKBUILD
new file mode 100644
index 0000000..d494c8d
--- /dev/null
+++ b/testing/lua-zip/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Mika Havela <[email-masked]>
+# Maintainer: Mika Havela <[email-masked]>
+pkgname=lua-zip
+pkgver="1.2.3"
+pkgrel=0
+pkgdesc="Lua extension library used to read files stored inside zip files"
+url="http://luaforge.net/projects/luazip/"
+arch="all"
+license="MIT"
+depends="lua zlib"
+depends_dev="lua-dev libzzip-dev"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://archive.ubuntu.com/ubuntu/pool/universe/l/lua-zip/lua-zip_${pkgver}.orig.tar.gz"
+
+_builddir="$srcdir/luazip-$pkgver"
+prepare() {
+	cd "$_builddir"
+	sed -i 's;5\.0;5.1;' config
+	sed -i 's;500;510;' config
+	sed -i "s;LUA_\([A-Z]*\)= /usr;LUA_\1= ${pkgdir}/usr;" config
+	sed -i 's;local/;;' config
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make lib || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make install || return 1
+}
+
+md5sums="8129ba93a8df6ebd324fee9adca23fae  lua-zip_1.2.3.orig.tar.gz"
-- 
1.7.12

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---